<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-compte-heading" jhiTranslate="apiformationApp.compte.home.createOrEditLabel">Create or edit a Compte</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.compte.nom" for="field_nom">Nom</label>
                    <input type="text" class="form-control" name="nom" id="field_nom"
                           formControlName="nom"/>
                    <div *ngIf="editForm.get('nom')!.invalid && (editForm.get('nom')!.dirty || editForm.get('nom')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nom')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.compte.numero" for="field_numero">Numero</label>
                    <input type="number" class="form-control" name="numero" id="field_numero"
                           formControlName="numero"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.compte.solde" for="field_solde">Solde</label>
                    <input type="number" class="form-control" name="solde" id="field_solde"
                           formControlName="solde"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.compte.client" for="field_client">Client</label>
                    <select class="form-control" id="field_client" name="client" formControlName="clientId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="clientOption.id" *ngFor="let clientOption of clients; trackBy: trackById">{{ clientOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
